Upgraded to Rails 3.1.0.rc5